Bug 1410239 - Connects and auth OK, but does not start vncserver
Summary: Connects and auth OK, but does not start vncserver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xrdp
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 21:14 UTC by Thomas Schweikle
Modified: 2019-10-09 18:55 UTC (History)
6 users (show)

Fixed In Version: xrdp-0.9.11-5.fc31 xrdp-0.9.11-5.fc29 xrdp-0.9.11-5.fc30 xrdp-0.9.11-5.el7 xrdp-0.9.11-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:46:46 UTC
Type: Bug


Attachments (Terms of Use)
xrdp login screen (65.99 KB, image/jpeg)
2017-01-04 21:22 UTC, Thomas Schweikle
no flags Details
Error message (63.00 KB, image/jpeg)
2017-01-04 21:22 UTC, Thomas Schweikle
no flags Details

Description Thomas Schweikle 2017-01-04 21:14:45 UTC
Description of problem:
xrdp shows login screen, but then, after login, session terminates with vncserver connection error.

Version-Release number of selected component (if applicable):
xrdp.x86_64  1:0.9.0-4.el7  @oraclelinux7epel

How reproducible:
Allways

Steps to Reproduce:
1. install rhel7, centos7, oracle linux 7
2. install xrdp
3. configure

Actual results:
Connection successfully, login screen shown,
Auth successfully, vncserver connection error

Expected results:
Connection successfully, login screen shown,
Auth successfully, vncserver connects and desktop shown.

Additional info:
Jan  4 21:44:37 nc093-ber xrdp: logging configuration:
Jan  4 21:44:37 nc093-ber xrdp: LogFile:       /var/log/xrdp.log
Jan  4 21:44:37 nc093-ber xrdp: LogLevel:      4
Jan  4 21:44:37 nc093-ber xrdp: EnableSyslog:  1
Jan  4 21:44:37 nc093-ber xrdp: SyslogLevel:   4
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:43:55] [INFO ] setting send buffer to 32768 bytes
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:43:55] [INFO ] send buffer set to 65536 bytes
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:43:55] [INFO ] setting recv buffer to 32768 bytes
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:43:55] [INFO ] recv buffer set to 65536 bytes
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:05] [INFO ] A connection received from: 10.160.2.12 port 51405
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:05] [INFO ] An established connection closed to endpoint: 10.160.2.12:51405 - socket: 9
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [INFO ] A connection received from: 10.160.2.12 port 51406
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 7
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [CORE ] WARNING: Invalid x.509 certificate path defined, default path will be used: /etc/xrdp/cert.pem
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [WARN ] Invalid X.509 certificate path defined, default path will be used: /etc/xrdp/key.pem
Jan  4 21:44:37 nc093-ber xrdp: pub_mod bytes 64
Jan  4 21:44:37 nc093-ber xrdp: pri_exp 64
Jan  4 21:44:37 nc093-ber xrdp: colorDepth 0xca01 (0xca00 4bpp 0xca01 8bpp)
Jan  4 21:44:37 nc093-ber xrdp: postBeta2ColorDepth 0xca01 (0xca00 4bpp 0xca01 8bpp 0xca02 15bpp 0xca03 16bpp 0xca04 24bpp)
Jan  4 21:44:37 nc093-ber xrdp: highColorDepth 0x0018 (0x0004 4bpp 0x0008 8bpp 0x000f 15bpp 0x0010 16 bpp 0x0018 24bpp)
Jan  4 21:44:37 nc093-ber xrdp: supportedColorDepths 0x000f (0x0001 24bpp 0x0002 16bpp 0x0004 15bpp 0x0008 32bpp)
Jan  4 21:44:37 nc093-ber xrdp: earlyCapabilityFlags 0x07ad (0x0002 want32)
Jan  4 21:44:37 nc093-ber xrdp: got client client connection type 0x00000007
Jan  4 21:44:37 nc093-ber xrdp: xrdp_sec_process_mcs_data_CS_SECURITY:
Jan  4 21:44:37 nc093-ber xrdp: client supports 40 bit encryption
Jan  4 21:44:37 nc093-ber xrdp: client supports 128 bit encryption
Jan  4 21:44:37 nc093-ber xrdp: client supports 56 bit encryption
Jan  4 21:44:37 nc093-ber xrdp: client supports fips encryption
Jan  4 21:44:37 nc093-ber xrdp: client and server support high crypt, using high crypt
Jan  4 21:44:37 nc093-ber xrdp: error unknown xrdp_sec_process_mcs_data tag 0xc006 size 8
Jan  4 21:44:37 nc093-ber xrdp: error unknown xrdp_sec_process_mcs_data tag 0xc00a size 8
Jan  4 21:44:37 nc093-ber xrdp: xrdp_sec_out_mcs_data: using 512 bit RSA key
Jan  4 21:44:37 nc093-ber xrdp: xrdp_load_keyboard_layout:
Jan  4 21:44:37 nc093-ber xrdp: xrdp_load_keyboard_layout: model [] variant [] layout [de]
Jan  4 21:44:37 nc093-ber xrdp: xrdp_sec_establish_keys:
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_order: bitmap cache v3 supported
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_pointer: client supports new(color) cursor
Jan  4 21:44:37 nc093-ber xrdp: xrdp_process_offscreen_bmpcache: support level 1 cache size 7864320 MB cache entries 100
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_frame_ack:
Jan  4 21:44:37 nc093-ber xrdp: max_unacknowledged_frame_count 2
Jan  4 21:44:37 nc093-ber xrdp: xrdp_process_capset_window wnd_support_level 2 wnd_num_icon_caches 3 wnd_num_icon_cache_entries 12
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_codecs: nscodec codec id 1 prop len 3
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_codecs: unknown codec id 5
Jan  4 21:44:37 nc093-ber xrdp: xrdp_caps_process_codecs: rfx codec id 3 prop len 49
Jan  4 21:44:37 nc093-ber xrdp: yeah, up_and_running
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [DEBUG] xrdp_00004cce_wm_login_mode_event_00000001
Jan  4 21:44:37 nc093-ber xrdp: xrdp:xrdp_mm [1798930484]: xrdp_mm_create: bpp 24 mcs_connection_type 7 jpeg_codec_id 0 v3_codec_id 0 rfx_codec_id 3 h264_codec_id 0
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:07] [WARN ] local keymap file for 0x0407 found and dosen't match built in keymap, using local keymap file
Jan  4 21:44:37 nc093-ber xrdp: xrdp_wm_login_mode_changed: login_mode is 0
Jan  4 21:44:37 nc093-ber xrdp: in xrdp_wm_init:
Jan  4 21:44:37 nc093-ber xrdp: xrdp_wm_init: no autologin / auto run detected, draw login window
Jan  4 21:44:37 nc093-ber xrdp: xrdp:xrdp_cache [1798930492]: xrdp_cache_add_bitmap: reset detected cache_id 2
Jan  4 21:44:37 nc093-ber xrdp: xrdp:xrdp_cache [1798930495]: xrdp_cache_add_bitmap: reset detected cache_id 1
Jan  4 21:44:37 nc093-ber xrdp: out xrdp_wm_init:
Jan  4 21:44:37 nc093-ber xrdp: xrdp_wm_login_mode_changed: login_mode is 1
Jan  4 21:44:37 nc093-ber xrdp: xrdp_wm_login_mode_changed: login_mode is 2
Jan  4 21:44:37 nc093-ber xrdp: connecting to sesman ip 127.0.0.1 port 3350
Jan  4 21:44:37 nc093-ber xrdp: sesman connect ok
Jan  4 21:44:37 nc093-ber xrdp: sending login info to session manager, please wait...
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:29] [DEBUG] returnvalue from xrdp_mm_connect 0
Jan  4 21:44:37 nc093-ber xrdp: xrdp_wm_login_mode_changed: login_mode is 3
Jan  4 21:44:37 nc093-ber xrdp: xrdp_mm_process_login_response: login successful for display
Jan  4 21:44:37 nc093-ber xrdp: 11
Jan  4 21:44:37 nc093-ber xrdp: loaded module 'libvnc.so' ok, interface size 4016, version 3
Jan  4 21:44:37 nc093-ber xrdp: VNC started connecting
Jan  4 21:44:37 nc093-ber xrdp: Waiting 2000 ms for VNC to start...
Jan  4 21:44:37 nc093-ber xrdp: VNC connecting to 127.0.0.1 5911
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:32] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:33] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:34] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:35] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:37 nc093-ber xrdp: [20170104-21:44:36] [INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:38 nc093-ber XRDP[19662]: (19662)(140380917471296)[INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:39 nc093-ber XRDP[19662]: (19662)(140380917471296)[INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:40 nc093-ber XRDP[19662]: (19662)(140380917471296)[INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:41 nc093-ber XRDP[19662]: (19662)(140380917471296)[INFO ] An established connection closed to endpoint: NULL:NULL - socket: 12
Jan  4 21:44:41 nc093-ber XRDP[19662]: (19662)(140380917471296)[INFO ] An established connection closed to endpoint: 127.0.0.1:3350 - socket: 11

Comment 1 Thomas Schweikle 2017-01-04 21:22:17 UTC
Created attachment 1237338 [details]
xrdp login screen

Comment 2 Thomas Schweikle 2017-01-04 21:22:55 UTC
Created attachment 1237339 [details]
Error message

Comment 3 Pavel Roskin 2017-01-04 21:30:21 UTC
Please see /var/log/xrdp-sesman.log around that time, it may have more useful information than xrdp.log

Comment 4 Thomas Schweikle 2017-07-17 17:38:01 UTC
For Xorg connection using xrdp:

Last lines /var/log/xrdp.log:
[20170717-19:31:17] [INFO ] starting xrdp with pid 11942
[20170717-19:31:17] [INFO ] listening to port 3389 on 0.0.0.0
[20170717-19:31:23] [INFO ] Socket 12: AF_INET connection received from 10.160.2.12 port 36646
[20170717-19:31:23] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:31:23] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20170717-19:31:23] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20170717-19:31:23] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20170717-19:31:23] [DEBUG] TLSv1.2 enabled
[20170717-19:31:23] [DEBUG] TLSv1.1 enabled
[20170717-19:31:23] [DEBUG] TLSv1 enabled
[20170717-19:31:23] [DEBUG] Security layer: requested 11, selected 1
[20170717-19:31:23] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:31:23] [ERROR] Listening socket is in wrong state, terminating listener
[20170717-19:31:23] [CORE ] shutting down log subsystem...
[20170717-19:31:23] [INFO ] Socket 12: AF_INET connection received from 10.160.2.12 port 36647
[20170717-19:31:23] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:31:23] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20170717-19:31:23] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20170717-19:31:23] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20170717-19:31:23] [DEBUG] TLSv1.2 enabled
[20170717-19:31:23] [DEBUG] TLSv1.1 enabled
[20170717-19:31:23] [DEBUG] TLSv1 enabled
[20170717-19:31:23] [DEBUG] Security layer: requested 11, selected 1
[20170717-19:31:23] [INFO ] connected client computer name: NC403-MUC
[20170717-19:31:23] [INFO ] TLS connection established from 10.160.2.12 port 36647: TLSv1.2 with cipher AES256-GCM-SHA384
[20170717-19:31:23] [DEBUG] xrdp_00002ea8_wm_login_mode_event_00000001
[20170717-19:31:23] [INFO ] Loading keymap file /etc/xrdp/km-00000407.ini
[20170717-19:31:23] [WARN ] local keymap file for 0x00000407 found and doesn't match built in keymap, using local keymap file
[20170717-19:31:33] [DEBUG] xrdp_wm_log_msg: connecting to sesman ip 127.0.0.1 port 3350
[20170717-19:31:34] [INFO ] xrdp_wm_log_msg: sesman connect ok
[20170717-19:31:34] [DEBUG] xrdp_wm_log_msg: sending login info to session manager, please wait...
[20170717-19:31:34] [DEBUG] return value from xrdp_mm_connect 0
[20170717-19:31:34] [INFO ] xrdp_wm_log_msg: login successful for display 13
[20170717-19:31:34] [DEBUG] xrdp_wm_log_msg: started connecting
[20170717-19:31:38] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:41] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:45] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:48] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:52] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:55] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:31:59] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:02] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:06] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:09] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:13] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:16] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:20] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:23] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:27] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:30] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:34] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:37] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:41] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:44] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:48] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:51] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:55] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:32:58] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:02] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:05] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:09] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:12] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:16] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:19] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:23] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:26] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:30] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:33] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:37] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:40] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:44] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:47] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:51] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:54] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:33:58] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:01] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:05] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:08] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:12] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:15] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:19] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:22] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:26] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:29] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:33] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:36] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:40] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:43] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:47] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:50] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:54] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:34:57] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:35:01] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:35:04] [DEBUG] xrdp_wm_log_msg: connection problem, giving up
[20170717-19:35:04] [DEBUG] Closed socket 19 (AF_UNIX)
[20170717-19:35:04] [DEBUG] xrdp_wm_log_msg: some problem
[20170717-19:35:04] [DEBUG] xrdp_mm_module_cleanup
[20170717-19:35:04] [DEBUG] Closed socket 18 (AF_INET 127.0.0.1:39552)
[20170717-19:35:09] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:35:09] [DEBUG] xrdp_mm_module_cleanup
[20170717-19:35:09] [ERROR] Listening socket is in wrong state, terminating listener
[20170717-19:35:09] [CORE ] shutting down log subsystem...


/var/log/xrdp-sesman.log:
[20170717-19:31:17] [DEBUG] libscp initialized
[20170717-19:31:17] [INFO ] starting xrdp-sesman with pid 11941
[20170717-19:31:17] [INFO ] listening to port 3350 on 127.0.0.1
[20170717-19:31:33] [INFO ] A connection received from 127.0.0.1 port 39552
[20170717-19:31:34] [INFO ] ++ created session (access granted): username root, ip 10.160.2.12:36647 - socket: 12
[20170717-19:31:34] [INFO ] starting Xorg session...
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5910)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:0)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5911)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6011)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6211)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5912)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6012)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6212)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5913)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6013)
[20170717-19:31:34] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6213)
[20170717-19:31:34] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20170717-19:31:34] [DEBUG] Closed socket 9 (AF_INET 127.0.0.1:3350)
[20170717-19:31:34] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20170717-19:31:34] [INFO ] setpriv --no-new-privs Xorg :13 -auth .Xauthority -config xrdp/xorg.conf -noreset -nolisten tcp -logfile .xorgxrdp.%s.log
[20170717-19:31:34] [CORE ] waiting for window manager (pid 11950) to exit
[20170717-19:31:34] [CORE ] window manager (pid 11950) did exit, cleaning up session
[20170717-19:31:34] [INFO ] ++ terminated session:  username root, display :13.0, session_pid 11949, ip 10.160.2.12:36647 - socket: 12

Comment 5 Thomas Schweikle 2017-07-17 17:40:14 UTC
For Xvnc connection:

/var/log/xrdp.log:
[20170717-19:38:54] [INFO ] starting xrdp with pid 12035
[20170717-19:38:54] [INFO ] listening to port 3389 on 0.0.0.0
[20170717-19:39:02] [INFO ] Socket 12: AF_INET connection received from 10.160.2.12 port 37181
[20170717-19:39:02] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:39:02] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20170717-19:39:02] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20170717-19:39:02] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20170717-19:39:02] [DEBUG] TLSv1.2 enabled
[20170717-19:39:02] [DEBUG] TLSv1.1 enabled
[20170717-19:39:02] [DEBUG] TLSv1 enabled
[20170717-19:39:02] [DEBUG] Security layer: requested 11, selected 1
[20170717-19:39:02] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:39:02] [ERROR] Listening socket is in wrong state, terminating listener
[20170717-19:39:02] [CORE ] shutting down log subsystem...
[20170717-19:39:02] [INFO ] Socket 12: AF_INET connection received from 10.160.2.12 port 37182
[20170717-19:39:02] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:39:02] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20170717-19:39:02] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20170717-19:39:02] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20170717-19:39:02] [DEBUG] TLSv1.2 enabled
[20170717-19:39:02] [DEBUG] TLSv1.1 enabled
[20170717-19:39:02] [DEBUG] TLSv1 enabled
[20170717-19:39:02] [DEBUG] Security layer: requested 11, selected 1
[20170717-19:39:02] [INFO ] connected client computer name: NC403-MUC
[20170717-19:39:02] [INFO ] TLS connection established from 10.160.2.12 port 37182: TLSv1.2 with cipher AES256-GCM-SHA384
[20170717-19:39:03] [DEBUG] xrdp_00002f05_wm_login_mode_event_00000001
[20170717-19:39:03] [INFO ] Loading keymap file /etc/xrdp/km-00000407.ini
[20170717-19:39:03] [WARN ] local keymap file for 0x00000407 found and doesn't match built in keymap, using local keymap file
[20170717-19:39:08] [DEBUG] xrdp_wm_log_msg: connecting to sesman ip 127.0.0.1 port 3350
[20170717-19:39:09] [INFO ] xrdp_wm_log_msg: sesman connect ok
[20170717-19:39:09] [DEBUG] xrdp_wm_log_msg: sending login info to session manager, please wait...
[20170717-19:39:09] [DEBUG] return value from xrdp_mm_connect 0
[20170717-19:39:09] [INFO ] xrdp_wm_log_msg: login successful for display 13
[20170717-19:39:09] [DEBUG] xrdp_wm_log_msg: VNC started connecting
[20170717-19:39:09] [DEBUG] xrdp_wm_log_msg: VNC connecting to 127.0.0.1 5913
[20170717-19:39:12] [DEBUG] VNC error 1 after security negotiation
[20170717-19:39:12] [DEBUG] VNC error before sending share flag
[20170717-19:39:12] [DEBUG] VNC error before receiving server init
[20170717-19:39:12] [DEBUG] VNC error before receiving pixel format
[20170717-19:39:12] [DEBUG] VNC error before receiving name length
[20170717-19:39:12] [DEBUG] VNC error before receiving name
[20170717-19:39:12] [DEBUG] xrdp_wm_log_msg: VNC error - problem connecting
[20170717-19:39:12] [DEBUG] Closed socket 19 (AF_INET 0.0.0.0:41072)
[20170717-19:39:12] [DEBUG] xrdp_wm_log_msg: some problem
[20170717-19:39:12] [DEBUG] xrdp_mm_module_cleanup
[20170717-19:39:12] [DEBUG] VNC mod_exit
[20170717-19:39:12] [DEBUG] Closed socket 18 (AF_INET 127.0.0.1:39554)
[20170717-19:39:16] [DEBUG] Closed socket 12 (AF_INET 10.169.18.123:3389)
[20170717-19:39:16] [DEBUG] xrdp_mm_module_cleanup
[20170717-19:39:16] [ERROR] Listening socket is in wrong state, terminating listener
[20170717-19:39:16] [CORE ] shutting down log subsystem...


/var/log/xrdp-sesman.log:
[20170717-19:38:54] [DEBUG] libscp initialized
[20170717-19:38:54] [INFO ] starting xrdp-sesman with pid 12034
[20170717-19:38:54] [INFO ] listening to port 3350 on 127.0.0.1
[20170717-19:39:08] [INFO ] A connection received from 127.0.0.1 port 39554
[20170717-19:39:09] [INFO ] ++ created session (access granted): username root, ip 10.160.2.12:37182 - socket: 12
[20170717-19:39:09] [INFO ] starting Xvnc session...
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5910)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:0)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5911)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6011)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6211)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5912)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6012)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6212)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:5913)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6013)
[20170717-19:39:09] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:6213)
[20170717-19:39:09] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20170717-19:39:09] [DEBUG] Closed socket 9 (AF_INET 127.0.0.1:3350)
[20170717-19:39:09] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20170717-19:39:09] [INFO ] Xvnc :13 -auth .Xauthority -geometry 1920x1200 -depth 24 -rfbauth /root/.vnc/sesman_root_passwd:13 -bs -nolisten tcp -localhost -dpi 96
[20170717-19:39:09] [CORE ] waiting for window manager (pid 12043) to exit
[20170717-19:39:09] [CORE ] window manager (pid 12043) did exit, cleaning up session
[20170717-19:39:09] [INFO ] ++ terminated session:  username root, display :13.0, session_pid 12042, ip 10.160.2.12:37182 - socket: 12

Comment 6 Thomas Schweikle 2017-07-17 17:52:48 UTC
As far as I see: a session is started, but it is not possible to connect to the started session.

Since firewalld ist turned off and selinux is set to "permissive" I do not think these are blocking anything here.

For Xorg (xrdp): it tries to connect to a socket which looks as if it never was created.

For Xvnc: tries to start windowmanager, this seems to work, but the windowmanager exits immediately.

I've tried default gnome, kde, and xfce4 -- all the same. At the moment I am with xfce4. To make sure it starts "~/.xsession" ist set to "/usr/bin/xfce4-session" (but that should not be necessary either).

Comment 7 Joe 2018-05-01 16:30:10 UTC
Has there been any movement on this? I'm having the same issue.

Comment 8 tpadgett 2018-06-04 19:46:39 UTC
Wondering the same - any updates?

Comment 9 Bojan Smojver 2018-06-04 21:27:46 UTC
Is your system running graphical or multi-user target? In other words, is there a local desktop environment running on it?

Comment 10 tpadgett 2018-06-04 22:23:06 UTC
yes, there is a local DE (cinnamon, gnome, mate)

Comment 11 Bojan Smojver 2018-06-04 22:38:11 UTC
Have you tried following the instructions in README.Fedora file?

Runlevel
========

If the system is configured to boot into graphical target, you may experience
problems with xrdp Gnome sessions. In order to avoid this, put the system into
multi user target. Like this:

systemctl set-default multi-user.target

Then reboot.

Comment 12 tpadgett 2018-06-04 22:47:02 UTC
ok, even after changing that, still no luck.

Comment 13 Bojan Smojver 2018-06-05 11:05:31 UTC
Try to attach to xdrp processes with strace -f and see whether this gives you any clues. I know it's not much of an advice, but occasionally there are unsuccessful system calls that reveal themselves as culprits.

Comment 14 Fedora Update System 2019-09-23 11:48:56 UTC
FEDORA-2019-22adff3c39 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22adff3c39

Comment 15 Fedora Update System 2019-09-23 11:49:00 UTC
FEDORA-2019-997c85bf31 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-997c85bf31

Comment 16 Fedora Update System 2019-09-23 11:49:03 UTC
FEDORA-EPEL-2019-6e641aad91 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6e641aad91

Comment 17 Fedora Update System 2019-09-23 11:49:08 UTC
FEDORA-2019-602c4a53d2 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-602c4a53d2

Comment 18 Fedora Update System 2019-09-23 11:49:15 UTC
FEDORA-EPEL-2019-625e654909 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-625e654909

Comment 19 Fedora Update System 2019-09-24 00:49:41 UTC
xrdp-0.9.11-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22adff3c39

Comment 20 Fedora Update System 2019-09-24 01:23:57 UTC
xrdp-0.9.11-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-997c85bf31

Comment 21 Fedora Update System 2019-09-24 01:45:37 UTC
xrdp-0.9.11-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-625e654909

Comment 22 Fedora Update System 2019-09-24 03:03:51 UTC
xrdp-0.9.11-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-602c4a53d2

Comment 23 Fedora Update System 2019-09-24 03:57:26 UTC
xrdp-0.9.11-5.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6e641aad91

Comment 24 Fedora Update System 2019-10-02 00:46:46 UTC
xrdp-0.9.11-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-10-02 01:41:02 UTC
xrdp-0.9.11-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-10-02 01:59:30 UTC
xrdp-0.9.11-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-10-09 17:28:08 UTC
xrdp-0.9.11-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2019-10-09 18:55:31 UTC
xrdp-0.9.11-5.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.